org.appng.core.repository.config

## Class HikariCPConfigurer

- java.lang.Object
- - org.appng.core.repository.config.HikariCPConfigurer

- All Implemented Interfaces:
    DatasourceConfigurer

      public class HikariCPConfigurer
      extends Object
      implements DatasourceConfigurer

  A `DatasourceConfigurer` using HikariCP. Also supports JDBC-Performance-Logger for measuring performance of SQL statements.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from interface org.appng.core.repository.config.DatasourceConfigurer

      `DEFAULT_LIFE_TIME, DEFAULT_TIMEOUT, JMX_DOMAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HikariCPConfigurer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(DatabaseConnection connection)` Configures the instance using the settings of the given `DatabaseConnection`.
    `void` | `destroy()` Destroys the instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.core.repository.config.DatasourceConfigurer

      `getDataSource, setAutoCommit, setConnectionTimeout, setLogPerformance, setMaxLifetime, setValidationTimeout`

- - ### Constructor Detail

    - #### HikariCPConfigurer

          public HikariCPConfigurer()

  - ### Method Detail

    - #### configure

          public void configure(DatabaseConnection connection)

      Description copied from interface: `DatasourceConfigurer`
      Configures the instance using the settings of the given `DatabaseConnection`.
      Specified by:
        `configure` in interface `DatasourceConfigurer`
      Parameters:
        `connection` - a `DatabaseConnection`

    - #### destroy

          public void destroy()

      Description copied from interface: `DatasourceConfigurer`
      Destroys the instance.
      Specified by:
        `destroy` in interface `DatasourceConfigurer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.